var express = require('express');
var router = express.Router();
var FoodModel = require('../model/food');
var connection = require('../data/database');

/* GET food By ID. */

router.get('/:id', function(req, res, next) {
  FoodModel.find({id:req.params.id}, function(err, data){
      if(err){
          console.log(err);
      }
      else{
          res.send(JSON.stringify(data));
      }
  })
});


router.get('/:id/:email', function(req, res, next) {

  console.log(req.params)
});
/* Get All */


router.get('/', function(req, res, next) {
  FoodModel.find({}, function(err, data){
      if(err){
          console.log(err);
      }
      else{
          res.send(JSON.stringify(data));
      }
  })
});





router.post('/', function(req, res){
    var f = new FoodModel({
        id: req.body.id,
        name: req.body.name
   
    });
    f.save().then(()=>{console.log('Saved in DB')});  
})



module.exports = router;
